package com.xxl.job.executor.batch.mapper;

import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

public interface BatchMapper {
    BigDecimal getDailyCost(@Param("accountId") Long accountId);

    BigDecimal getHourCost(@Param("accountId") Long accountId, @Param("statDate") String statDate);

    BigDecimal getBudget(@Param("accountId") Long accountId);

    BigDecimal getProjectMaxBidByProject(@Param("projectId") Long projectId);
}
